<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Просмотр режиссера</title>
</head>
<body>
<form layout:fragment="content">
    <div class="mt-3">
        <h3 th:text="'Информация о директоре: ' + ${director.getFio()}"></h3>
        <form class="row g-1">
            <div class="mb-2 row">
                <label for="fio" class="col-sm-2 col-form-label no-border">Имя:</label>
                <div class="col-sm-10">
                    <p th:text="${director.getFio()}" class="form-control-plaintext" id="fio">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="birthDate" class="col-sm-2 col-form-label">Дата рождения:</label>
                <div class="col-sm-10">
                    <p th:text="${director.getBirthDate()}" class="form-control-plaintext" id="birthDate">
                </div>
            </div>

            <div class="mb-2 row">
                <label for="position" class="col-sm-2 col-form-label">Позиция:</label>
                <div class="col-sm-10">
                    <p th:text="${director.getPosition()}" class="form-control-plaintext" id="position">
                </div>
            </div>

            <div class="mb-2 row">
                <label for="description" class="col-sm-2 col-form-label">Описание:</label>
                <div class="col-sm-10">
                    <p th:text="${director.getDescription()}" class="form-control-plaintext" id="description">
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <div class="mt-2">
                <form method="POST" th:object="${directorSearchForm}" th:action="@{/films/search/director}">
                    <a sec:authorize="isAuthenticated() && !hasRole('USER')" class="btn btn-primary"
                       th:href="'/directors/add-film/' + ${director.getId()}">Добавить фильм</a>
                    <input type="hidden" name="fio" th:value="${director.getFio()}">
                <button type="submit" class="btn btn-success">Посмотреть фильмы</button>
                <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
            </form>
        </div>
    </div>
</form>
</body>
</html>
